<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore"
    xmlns:genmodel="http://www.eclipse.org/emf/2002/GenModel" modelDirectory="/org.eclipse.gemoc.execution.moccml.runstar.model/src_gen"
    editDirectory="" editorDirectory="" modelPluginID="org.eclipse.gemoc.execution.moccml.runstar.model"
    modelName="Runstar" testsDirectory="" importerID="org.eclipse.emf.importer.ecore"
    complianceLevel="6.0" copyrightFields="false" usedGenPackages="../../org.eclipse.ocl.xtext.base/model/BaseCS.genmodel#//basecs ../../org.eclipse.ocl.xtext.completeocl/model/CompleteOCLCS.genmodel#//completeoclcs ../../org.eclipse.ocl.xtext.essentialocl/model/EssentialOCLCS.genmodel#//essentialoclcs ../../org.eclipse.ocl.pivot/model/Pivot.genmodel#//pivot ../../fr.inria.aoste.timesquare.ccslkernel.model/model/TimeModel.genmodel#//TimeModel platform:/plugin/org.eclipse.xtext.common.types/model/JavaVMTypes.genmodel#//types">
  <foreignModel>Runstar.ecore</foreignModel>
  <genPackages prefix="Runstar" basePackage="org.eclipse.gemoc.execution.moccml.runstar.model"
      resource="XMI" disposableProviderFactory="true" fileExtensions="codeexec" ecorePackage="Runstar.ecore#/">
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="Runstar.ecore#//PaintType">
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//PaintType/NONE"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//PaintType/BACKGROUND"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//PaintType/FOREGROUND"/>
    </genEnums>
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="Runstar.ecore#//StepExecution">
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//StepExecution/AFTER"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//StepExecution/BEFORE"/>
    </genEnums>
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="Runstar.ecore#//FontStyle">
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//FontStyle/NONE"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//FontStyle/BOLD"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//FontStyle/ITALIC"/>
    </genEnums>
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="Runstar.ecore#//MarkerType">
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//MarkerType/INFORMATION"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//MarkerType/WARNING"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//MarkerType/ERROR"/>
    </genEnums>
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="Runstar.ecore#//StackShape">
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//StackShape/RECTANGLE"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//StackShape/ROUNDED_RECTANGLE"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//StackShape/ELLIPSE"/>
    </genEnums>
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="Runstar.ecore#//StackStrategy">
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//StackStrategy/LASTS"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//StackStrategy/FIRSTS"/>
    </genEnums>
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="Runstar.ecore#//Boolean">
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//Boolean/FALSE"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//Boolean/TRUE"/>
    </genEnums>
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="Runstar.ecore#//RBoolean">
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//RBoolean/FALSE"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//RBoolean/TRUE"/>
    </genEnums>
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="Runstar.ecore#//LineStyle">
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//LineStyle/DIGITAL"/>
      <genEnumLiterals ecoreEnumLiteral="Runstar.ecore#//LineStyle/ANALOG"/>
    </genEnums>
    <genClasses ecoreClass="Runstar.ecore#//ObjectVariable">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//ObjectVariable/name"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference Runstar.ecore#//ObjectVariable/type"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//ObjectVariable/initialValue"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//RuntimeStateRepresentation">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference Runstar.ecore#//RuntimeStateRepresentation/modelImports"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference Runstar.ecore#//RuntimeStateRepresentation/classImports"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//RuntimeStateRepresentation/name"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference Runstar.ecore#//RuntimeStateRepresentation/variables"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference Runstar.ecore#//RuntimeStateRepresentation/representations"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//ImportJavaStatement">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//ImportJavaStatement/importedNamespace"/>
    </genClasses>
    <genClasses image="false" ecoreClass="Runstar.ecore#//Variable_old"/>
    <genClasses ecoreClass="Runstar.ecore#//Constant"/>
    <genClasses ecoreClass="Runstar.ecore#//IntegerLiteral">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//IntegerLiteral/value"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//VariableRef">
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference Runstar.ecore#//VariableRef/var"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//StringLiteral">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//StringLiteral/value"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//EObjectRef">
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference Runstar.ecore#//EObjectRef/object"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//StringDecoration">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//StringDecoration/prefix"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//StringDecoration/suffix"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference Runstar.ecore#//StringDecoration/stringLiteral"/>
    </genClasses>
    <genClasses image="false" ecoreClass="Runstar.ecore#//Representation">
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference Runstar.ecore#//Representation/image"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference Runstar.ecore#//Representation/text"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//Paint">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Paint/type"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference Runstar.ecore#//Paint/color"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference Runstar.ecore#//Paint/onConcept"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference Runstar.ecore#//Paint/ownedUpdateStrategy"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Paint/persistent"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//RColor">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//RColor/red"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//RColor/blue"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//RColor/green"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//Hover">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Hover/fromStart"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//Mark">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Mark/markerType"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//Label"/>
    <genClasses ecoreClass="Runstar.ecore#//ImageVar">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//ImageVar/path"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//RTDVar">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//RTDVar/attributes"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//ConstTextVar">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//ConstTextVar/value"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//ChartVar">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//ChartVar/nbValuesDisplayed"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//ChartVar/xlabel"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//ChartVar/ylabel"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//ChartVar/title"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference Runstar.ecore#//ChartVar/xrtd"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference Runstar.ecore#//ChartVar/yrtds"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//ChartVar/lineStyle"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//RUpdateStrategy">
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference Runstar.ecore#//RUpdateStrategy/events"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//RUpdateStrategy/stepExecution"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//DecoratedTextVar">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//DecoratedTextVar/prefix"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//DecoratedTextVar/suffix"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference Runstar.ecore#//DecoratedTextVar/color"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//DecoratedTextVar/font"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//DecoratedTextVar/fontStyle"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//DecoratedTextVar/fontSize"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference Runstar.ecore#//DecoratedTextVar/decorated"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference Runstar.ecore#//DecoratedTextVar/errorColor"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//DecoratedTextVar/errorText"/>
    </genClasses>
    <genClasses image="false" ecoreClass="Runstar.ecore#//Variable">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Variable/name"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference Runstar.ecore#//Variable/strategy"/>
    </genClasses>
    <genClasses image="false" ecoreClass="Runstar.ecore#//TextVar"/>
    <genClasses ecoreClass="Runstar.ecore#//Image">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Image/initialSize"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Image/depth"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//Stack">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Stack/maxLength"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Stack/isVertical"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Stack/shape"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Stack/strategy"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Stack/depth"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute Runstar.ecore#//Stack/title"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//RStrategy">
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference Runstar.ecore#//RStrategy/onConcept"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference Runstar.ecore#//RStrategy/ownedUpdateStrategy"/>
    </genClasses>
    <genClasses ecoreClass="Runstar.ecore#//Comment"/>
  </genPackages>
</genmodel:GenModel>
